2017-07-21 14:01 - Tomasz Lewandowski

Status: Zatwierdzony
Priority: Normalny
Assignee: Michat Komar
Category: analiza
Target version: 0.3
Description

Widok wprowadzania danych.
Walidacja pola 'ldentyfikator' wg réznych walidatoréw w zaleznosci od zadeklarowanego typu.

Subtasks:
Zadanie # 1843: Walidacja identyfikatoréw Rozwiazany

History

#1 - 2017-07-25 12:01 - Michat Komar
- Category set to analiza
- Assignee changed from Michat Komar to Tomasz Lewandowski

- Target version set to 0.3

Napiszczie, ktére identyfikatory majg byé walidowane.

Ja widze nastepujace:

- ISSN

- EISSN

- DOI

Czy sa jakie$ jeszcze? JEzeli tak, to w jaki sposob je walidowagé.

#2 - 2017-10-02 09:32 - Michat Komar

- Assignee changed from Tomasz Lewandowski to Michat Starczewski

Mozesz odpisac i przepigé na mnie?

#3 - 2017-10-03 09:58 - Michat Starczewski

- Assignee changed from Michat Starczewski to Tomasz Lewandowski

#4 - 2017-10-03 10:02 - Michat Starczewski

Moim zdaniem tylko te 3 identyfikatory. Niech wypowie si¢ jeszcze Tomek.

#5 - 2017-10-03 10:39 - Tomasz Lewandowski
Gtéwna idea zdaje sie byta taka, zeby walidator issn byt mozliwie restrykcyjny, zeby z kolei ukréci¢ praktyki znane z praktyki, np. wpisywanie dwéch

issnéw w jeden slot issnéw o brzmieniu: 'E-ISSN: 1111-2222'".
Aktualnie drop menu dla 'Typ' w Identifiers prezentuje nam prawdziwg orgie mozliwych typéw, mianowicie: EISSN, CODEN, BazTech, Springer, IEEE,
Springer Import, ICM, Ovid Import, Baztech Import, ISBN, EISBN, MHP, SPIN, BWMETA, YADDA, Elsevier, PMID, CEJSH, Zbl, MR, EUDML-ID,
CEDRAM-ID, LCCN, URI, ORCID, MML, DOI, ISSN, ISSN Linking.

Wydaje sie, ze trzeba te orgie uwzgledni¢, oczywiscie w ramach rozsadku. Skoro menu dotyczy wprowadzania nowych artykutéw, to wszelkie
identyfikatory nadawane przez system (BWMETA, YADDA, ICM?, Baztech itp.) nie powinny by¢ w tym drop menu uwzgledniane. Aktualnie nie
przewidujemy obstugi zasobéw WBNowych, ale kto wie, do czego BN+ ma doprowadzi¢. Na pewno ma doprowadzi¢ do udostepniania ksigzek, wiec

ISBN i EISBN wydaja sie potrzebne.

Poniewaz nie mam zielonego pojecia o wigkszosci identyfikatorow, ktére wtasnie wymienitem, proponuje, by odpowiedz brzmiata jako$ tak:
Uwzglednijmy w walidatorach wszystkie identyfikatory, ktére ostatecznie majg byé uwzglednione w drop menu. W pierwszej kolejnosci jednak te,
ktérych spodziewamy sie w codziennym uzytku redaktoréw wprowadzajacych teskty, to znaczy:

- ISSN, EISSN, ISBN, EISBN na pewno

- DOI prawie na pewno (ciekawe btw ile mamy dotychczas wprowadzonych doi w bazach)

- URI'i ORCID by¢ moze (chociaz orcid to akurat identyfikator dla autoréw i contributors)

Michat Starczewski wrote:

Moim zdaniem tylko te 3 identyfikatory. Niech wypowie sie jeszcze Tomek.

#6 - 2017-10-03 10:53 - Tomasz Lewandowski
- Assignee changed from Tomasz Lewandowski to Michat Komar

#7 - 2017-10-04 14:16 - Michat Komar
- Status changed from Nowy to Zatwierdzony
